MCP980X(4)

NAME
mcp980x - Microchip 9800/1/2/3 I2C temperature sensor driver

SYNOPSIS
mcp980x* at iic? addr 0x48

DESCRIPTION
The mcp980x driver provides support for the MCP980x series of temperature sensors. It allows reporting ambient temperature through the envsys(4) API.

SYSCTL VARIABLES
The following sysctl(3) variable are provided:

machdep.mcp980x0.res
    ADC resolution (integer). Valid values are 0-3, where 0 is 9-bit (0.5 Celsius degree) and 3 is 12-bit (0.0625 Celsius degree) resolution.

machdep.mcp980x0.templimit
    If the ambient temperature exceeds this limit, the chip asserts an alert line (integer).

machdep.mcp980x0.hysteresis
    Hysteresis for temperature limit (integer).

SEE ALSO
envsys(4)

HISTORY
The mcp980x device first appeared in NetBSD 7.0.

AUTHORS
-nosplit The mcp980x driver was written by Radoslaw Kujawa <radoslaw.kujawa@gmail.com>.

CAVEATS
MCP9804 and MCP9805 chip are different and are supported by the sdtemp(4) driver.

The MCP980x chip supports hysteresis and temperature limit values with a resolution of 0.5 Celsius degree, however the mcp980x driver supports setting only integer values.